<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ch.javasoft.math.operator Class Hierarchy
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ch.javasoft.math.operator Class Hierarchy";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/linalg/impl/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/compose/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/operator/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package ch.javasoft.math.operator
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/AbstractBinaryOperator.html" title="class in ch.javasoft.math.operator"><B>AbstractBinaryOperator</B></A>&lt;T,A&gt; (implements ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;T,A&gt;)
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/AbstractBooleanBinaryOperator.html" title="class in ch.javasoft.math.operator"><B>AbstractBooleanBinaryOperator</B></A>&lt;T,A&gt; (implements ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;T,A&gt;)
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/AbstractBooleanUnaryOperator.html" title="class in ch.javasoft.math.operator"><B>AbstractBooleanUnaryOperator</B></A>&lt;T,A&gt; (implements ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;T,A&gt;)
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/AbstractIntBinaryOperator.html" title="class in ch.javasoft.math.operator"><B>AbstractIntBinaryOperator</B></A>&lt;T,A&gt; (implements ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/IntBinaryOperator.html" title="interface in ch.javasoft.math.operator">IntBinaryOperator</A>&lt;T,A&gt;)
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/AbstractIntUnaryOperator.html" title="class in ch.javasoft.math.operator"><B>AbstractIntUnaryOperator</B></A>&lt;T,A&gt; (implements ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/IntUnaryOperator.html" title="interface in ch.javasoft.math.operator">IntUnaryOperator</A>&lt;T,A&gt;)
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/AbstractNullaryOperator.html" title="class in ch.javasoft.math.operator"><B>AbstractNullaryOperator</B></A>&lt;T,A&gt; (implements ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;T,A&gt;)
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/AbstractQuaternaryOperator.html" title="class in ch.javasoft.math.operator"><B>AbstractQuaternaryOperator</B></A>&lt;T,A&gt; (implements ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="interface in ch.javasoft.math.operator">QuaternaryOperator</A>&lt;T,A&gt;)
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/AbstractTernaryOperator.html" title="class in ch.javasoft.math.operator"><B>AbstractTernaryOperator</B></A>&lt;T,A&gt; (implements ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/TernaryOperator.html" title="interface in ch.javasoft.math.operator">TernaryOperator</A>&lt;T,A&gt;)
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/AbstractUnaryOperator.html" title="class in ch.javasoft.math.operator"><B>AbstractUnaryOperator</B></A>&lt;T,A&gt; (implements ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A>&lt;T,A&gt;)
</UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="interface in ch.javasoft.math.operator"><B>AggregatingBinaryOperator</B></A>&lt;T,A&gt;<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="interface in ch.javasoft.math.operator"><B>AggregatingUnaryOperator</B></A>&lt;T,A&gt;<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/ConvertingBinaryOperator.html" title="interface in ch.javasoft.math.operator"><B>ConvertingBinaryOperator</B></A>&lt;I,R,AI,AR&gt;<UL>
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator"><B>BooleanBinaryOperator</B></A>&lt;T,A&gt;<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/IntBinaryOperator.html" title="interface in ch.javasoft.math.operator"><B>IntBinaryOperator</B></A>&lt;T,A&gt;</UL>
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/ConvertingUnaryOperator.html" title="interface in ch.javasoft.math.operator"><B>ConvertingUnaryOperator</B></A>&lt;I,AI,R,AR&gt;<UL>
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator"><B>BooleanUnaryOperator</B></A>&lt;T,A&gt;<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/IntUnaryOperator.html" title="interface in ch.javasoft.math.operator"><B>IntUnaryOperator</B></A>&lt;T,A&gt;</UL>
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/DivisionSupport.html" title="interface in ch.javasoft.math.operator"><B>DivisionSupport</B></A><LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html" title="interface in ch.javasoft.math.operator"><B>NAryOperator</B></A>&lt;T,A&gt;<UL>
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><B>BinaryOperator</B></A>&lt;T,A&gt;<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator"><B>NullaryOperator</B></A>&lt;T,A&gt;<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="interface in ch.javasoft.math.operator"><B>QuaternaryOperator</B></A>&lt;T,A&gt;<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/TernaryOperator.html" title="interface in ch.javasoft.math.operator"><B>TernaryOperator</B></A>&lt;T,A&gt;<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><B>UnaryOperator</B></A>&lt;T,A&gt;</UL>
</UL>
<H2>
Enum Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html" title="class or interface in java.lang"><B>Enum</B></A>&lt;E&gt; (implements java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&lt;T&gt;, java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>)
<UL>
<LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/IntUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>IntUnaryOperator.Id</B></A><LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>AggregatingUnaryOperator.Id</B></A><LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/BinaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>BinaryOperator.Id</B></A><LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/BooleanUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>BooleanUnaryOperator.Id</B></A><LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/BooleanBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>BooleanBinaryOperator.Id</B></A><LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/NullaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>NullaryOperator.Id</B></A><LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/IntBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>IntBinaryOperator.Id</B></A><LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>UnaryOperator.Id</B></A><LI TYPE="circle">ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>AggregatingBinaryOperator.Id</B></A></UL>
</UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/linalg/impl/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/compose/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/operator/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
